import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ErrorMessagesService {
    private subject;
    /**
     *
     * @param sAction - show, dismiss
     * @param sActionMessage - text to displayed, will be queued with others until dismiss
     */
    sendMessage(sAction: string, sActionMessage: string): void;
    clearMessage(): void;
    getMessage(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ErrorMessagesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ErrorMessagesService>;
}
